Subject: Re: bug#5235: 23.1; Unibyte keyboard input problem

From: Stefan Monnier <[email-masked]>
Date: Tue, 29 Dec 2009 13:48:28 -0200

> This is expected, I think.  I could make it honor the `coding' cookie
> even in that case, but I'd like first to know if this kind of solution
> is acceptable (below).

This aproach looks OK, actually, yes.  Basially, the user would set

  -*- coding: cp1250; select-safe-coding-system-respect-auto-coding: t -*-

tho in such a context a shorter varname would make sense, like
`coding-cookie-force'.  And then it'd be OK to obey it no matter what
(i.e. regardless of the default coding system, locale, etc...).

        Stefan